# CryoGrid-pyTools

CryoGrid-pyTools is a Python package designed to facilitate working with CryoGrid MATLAB data in Python. It provides tools for reading and processing various types of data including:

- CryoGrid output (from `OUT_regridded_FCI2`)
- Simple MATLAB struct files
- ERA5 forcing data
- Excel run configuration files

## Features

- Easy-to-use interface for reading CryoGrid output files
- Support for both single and multiple file reading
- Conversion of MATLAB data structures to Python
- Integration with common data science libraries like xarray

## Quick Links

- [Installation Guide](installation.md)
- [Getting Started](getting-started.md)
- [API Reference](api-reference.md)

## License

This project is licensed under the MIT License - see the [LICENSE](https://github.com/lukegre/CryoGrid-pyTools/blob/main/LICENSE) file for details.
